package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 宠物类型对象 app_pet_type
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public class AppPetType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 宠物类型编号 */
    private Long petTypeId;

    /** 删除标识 */
    private Integer delFlag;

    /** 宠物类型图片 */
    @Excel(name = "宠物类型图片")
    private String petTypeImage;

    /** 宠物类型名 */
    @Excel(name = "宠物类型名")
    private String petTypeName;

    /** 备注 */
    @Excel(name = "备注")
    private String reamk;

    public void setPetTypeId(Long petTypeId) 
    {
        this.petTypeId = petTypeId;
    }

    public Long getPetTypeId() 
    {
        return petTypeId;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setPetTypeImage(String petTypeImage) 
    {
        this.petTypeImage = petTypeImage;
    }

    public String getPetTypeImage() 
    {
        return petTypeImage;
    }
    public void setPetTypeName(String petTypeName) 
    {
        this.petTypeName = petTypeName;
    }

    public String getPetTypeName() 
    {
        return petTypeName;
    }
    public void setReamk(String reamk) 
    {
        this.reamk = reamk;
    }

    public String getReamk() 
    {
        return reamk;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("petTypeId", getPetTypeId())
            .append("delFlag", getDelFlag())
            .append("petTypeImage", getPetTypeImage())
            .append("petTypeName", getPetTypeName())
            .append("reamk", getReamk())
            .toString();
    }
}
